View Issue Details

IDProjectCategoryView StatusLast Update
0024719mantisbtadministrationpublic2018-09-04 01:23
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.17.0Fixed in Version2.17.0 
Summary0024719: Impersonate User is offered for disabled users
Description

Impersonation of disabled users is offered on page manage_user_edit_page.php.
This can't work, as disabled users are not allowed to login.

After clicking the Impersonate User button, there is a redirect to the login page.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 65ae8fa0

2018-09-01 16:23:00

atrol


Committer: vboctor Details Diff
Do not offer impersonating of disabled users

Fixes 0024719
Affected Issues
0024719
mod - core/authentication_api.php Diff File

Issue History

Date Modified Username Field Change
2018-09-01 16:31 atrol New Issue
2018-09-01 16:31 atrol Status new => assigned
2018-09-01 16:31 atrol Assigned To => atrol
2018-09-01 16:34 atrol Note Added: 0060585
2018-09-02 17:33 vboctor Changeset attached => MantisBT master 65ae8fa0
2018-09-02 17:33 atrol Status assigned => resolved
2018-09-02 17:33 atrol Resolution open => fixed
2018-09-02 17:33 atrol Fixed in Version => 2.17.0
2018-09-04 01:23 vboctor Status resolved => closed